docusign.cloud-storage-providers.delete-cloud-storage
Deletes the user authentication information for the specified cloud storage provider. The next time the user tries to access the cloud storage provider, they must pass normal authentication for this cloud storage provider.
Deletes the user authentication information for the specified cloud storage provider.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
serviceid | string | Yes | — | The ID of the service to access. Valid values are the service name ("Box") or the numerical serviceId ("4136"). |
userid | string | Yes | — | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
serviceid | string | Yes | — | The ID of the service to access. Valid values are the service name ("Box") or the numerical serviceId ("4136"). |
userid | string | Yes | — | The ID of the user to access. Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call DELETE /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/ |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform DELETE /v2.1/accounts/{accountId}/users/{userId}/cloud_storage/ |
* (any state) | fail | failed | Record the failure reason |
API Usage
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.cloud-storage-providers.delete-cloud-storage",
"initial_data": {
"base_url": "value",
"accountid": "value",
"serviceid": "value",
"userid": "value"
}
}